# 开源社区行话大全

Github上那些莫名的缩写和用语，那些开源社区的行话，到底是在说什么？

以下资料整理自互联网，如有侵权，请联系作者进行删除。

<h1 align="center">索引</h1>


|[A](#a)|[B](#b)|[C](#c)|[D](#d)|[E](#e)|[F](#f)|[G](#g)|[H](#h)|[I](#i)|[J](#j)|[K](#k)|[L](#l)|[M](#m)|
|---|---|---|---|---|---|---|---|---|---|---|---|---|

|[N](#n)|[O](#o)|[P](#p)|[Q](#q)|[R](#r)|[S](#s)|[T](#t)|[U](#u)|[V](#v)|[W](#w)|[X](#x)|[Y](#y)|[Z](#z)|
|---|---|---|---|---|---|---|---|---|---|---|---|---|

### <a name="A"></a>A

|   名称  |   含义  |
|:---:|:---|
| ACK  | "acknowledgement": 接受更改，对贡献者表示感谢 |
| AFAIK | "as far as i know": 在我看来，介绍自己的意见或观点 |
| ASAP | "as soon as possible": 尽快 |


### <a name="B"></a>B

|   名称  |   含义  |
|:---:|:---|
| BID | "break it down": 细分/拆解，将某个任务或者需求进行细分 |
| BTW | "by the way": 顺带提一下 |


### <a name="C"></a>C

|   名称  |   含义  |
|:---:|:---|
| CR | "code review": 代码审查 |


### <a name="D"></a>D

|   名称  |   含义  |
|:---:|:---|
| DNM | "do not merge": 不要合并 |
| DOE | "depending on experience": 视工作经验而定 |


### <a name="E"></a>E

|   名称  |   含义  |
|:---:|:---|
| EOB | "end of business": 下班时 |
| EOD | "end of day": 今天以内 |
| ETA | "estimated time of arrival": 预计到达/完成时间 |


### <a name="F"></a>F

|   名称  |   含义  |
|:---:|:---|
| FAQ | "frequently asked questions": 常见问题 |
| FTE | "full time employee": 全职员工 |
| FWIW | "for what it’s worth": 无论如何/不管有没有用 |
| FYI | "for your information": 供你参考/仅供参考 |
| FYR | "for your reference": 同 FYI，供你参考 |
| FYU | "for your use": 供你使用 |


### <a name="G"></a>G

### <a name="H"></a>H

### <a name="I"></a>I

|   名称  |   含义  |
|:---:|:---|
| IANAL | "I am not a lawyer (but).": 我虽然不是律师，但是… |
| IIRC | "if I recall correctly": 如果我没有记错的话 |
| IMHO | "In My Humble Opinion": 依我拙见，IMO 谦虚的说法 |
| IMO | "In My Opinion": 在我看来、依我看、依我所见 |


### <a name="J"></a>J

### <a name="K"></a>K

### <a name="L"></a>L

|   名称  |   含义  |
|:---:|:---|
| LGTM | "look good to me": 意思是已经通过我的review了 |
| LGT1 | "Looks Good To 1.": 如果有一个回复 LGTM 则可以添加为 LGT1，1 代表目前有 1 个赞 |
| LGT2 | "Looks Good To 2.": 如果有一个回复 LGTM 则可以添加为 LGT2，2 代表目前有 2 个赞 |
| LMK | "let me know": 让我知道、通知我 |


### <a name="M"></a>M

|   名称  |   含义  |
|:---:|:---|
| My 2 cents | "My two cents": 用于表达自己意见的开头，比较谦逊和礼貌。 |
| MoM | "month over month": 月度对比/比较 |
| MTD | "month to date": 月初到现在 |


### <a name="N"></a>N

|   名称  |   含义  |
|:---:|:---|
| NACK/NAK | "negative acknowledgement": 用于表达不同意，否定回答。 |
| NDA | "Non disclosure agreement": 不公开协议 |
| NRN | "no reply necessary": 无需回复 |


### <a name="O"></a>O

|   名称  |   含义  |
|:---:|:---|
| OT | "over time": 加班 |


### <a name="P"></a>P

|   名称  |   含义  |
|:---:|:---|
| PLEG | Pod Lifecycle Event Generator， 在Kubernetes相关项目中会看到，是kubelet的核心模块，负责记录Pod生命周期中的各种事件 |
| PR | "pull request": 请求原项目拉取自己的请求，通常用于提交自己的改动到原项目 |
| PTAL | "please take a look": 请求别人帮忙查看 |

### <a name="Q"></a>Q

### <a name="R"></a>R

|   名称  |   含义  |
|:---:|:---|
| RFC | "request for comments": 请求他人进行共同讨论 |
| RFD | "request for discussion": 请求讨论 |
| RSVP | "Répondez s’il vous plait": 请回复(法语) |


### <a name="S"></a>S

|   名称  |   含义  |
|:---:|:---|
| SGTM | "sounds good to me": 和LGTM意思相同，表示已经通过我的review了 |


### <a name="T"></a>T

|   名称  |   含义  |
|:---:|:---|
| TBD | "to be detemined / deleted / defined / discussed": 视具体情境，可以表示为“等待确定”, “即将删除”, “等待定义” 或者 “需要讨论” |
| TBR | "to be reviewed": 提示维护者进行review |
| TL;DR | "too long, don't read": 一般指对于文档的简述 |
| TOS | "term of service": 服务条款 |
| TYT | "take your time": 别着急/慢慢来 |


### <a name="U"></a>U

|   名称  |   含义  |
|:---:|:---|
| umbrella (issue) | 雨伞问题: 通常是一些问题的集合，用来确认一个大的功能是否完成。 |

### <a name="V"></a>V

### <a name="W"></a>W

|   名称  |   含义  |
|:---:|:---|
| WDYT | "what do you think": 用于征询别人的意见或建议 |
| WIIFM | "what’s in it for me": 这对我有什么好处？ |
| WIP | "work in process": 指自己的改动还未完成，用于提醒维护者暂时不要将改动合进分支 |


### <a name="X"></a>X

### <a name="Y"></a>Y

|   名称  |   含义  |
|:---:|:---|
| YTD | "year to date": 从年初到现在/当年累计 |

### <a name="Z"></a>Z


## 参考资料

- https://www.jianshu.com/p/238a1e1f4037
- https://gythialy.github.io/github-keyword/
- https://maiyang.me/post/2017-04-01-practice19-github-keywords/
- https://wi1dcard.dev/posts/github-abbrs-collection/
- https://github.com/soolaugust/git-secret
